Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7468 - gnome-terminal does not set echok mode
Summary: gnome-terminal does not set echok mode
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 08:53 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-10 23:34:09 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-12-01 08:53:53 UTC
Gnome-terminal fails to set echok mode in its stty settings
(check with 'stty -a'). In a shell or other environment that
doesn't do its own command-line editing, this means that
typing some control characters looks (but does not act like)
they had no effect, such as your line-kill character.

Environment: gnome-terminal being started from inside an
xterm (with echok set).

Comment 1 Havoc Pennington 2000-01-10 23:34:59 UTC
Upstream maintainer (Michael Zucchi (zucchi@zedzone.mmc.com.au)) claims that
this setting is a matter of opinion and he doesn't think it should be set.


Note You need to log in before you can comment on or make changes to this bug.